import dynamix_sdk.base as _base


class CloudapiLbFrontendCreateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbFrontendCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def frontend_create(
        self,
        *,
        lb_id: int,
        frontend_name: str,
        backend_name: str,
    ) -> CloudapiLbFrontendCreateResultBool:
        ...
